%define name     gimp
%define ver      1.1.19
%define subver   1.1
%define microver 15
%define rel      1cz4
%define prefix	 /usr

Name: 		%name
Version: 	%ver
Release: 	%rel
Copyright: 	GPL, LGPL
URL: 		http://www.gimp.org/
BuildRoot: 	/var/tmp/%{name}-%{version}-root
Docdir:		%{prefix}/doc
Prefix:		%{prefix}
Obsoletes: 	gimp-data-min
Obsoletes:	gimp-libgimp
Requires: 	gtk+ >= 1.2.0
BuildRequires:  perl-Gtk aalib-devel
Source: 	ftp://ftp.gimp.org/pub/gimp/unstable/v%{PACKAGE_VERSION}/%{name}-%{PACKAGE_VERSION}.tar.bz2
Source1: gimp-wmconfig.tar.gz
Source2: gnome-gimp.png
Source3: gimp.desktop
Source4: gimp-1.1.19-po.tgz
Group: Applications/Graphics
Group(cs): Aplikace/Multimdia
Summary: The GNU Image Manipulation Program
Summary(cs): GNU program pro manipulaci s obrzky

%description
The GIMP is an image manipulation program suitable for photo retouching,
image composition and image authoring.  Many people find it extremely useful
in creating logos and other graphics for web pages.  The GIMP has many of the
tools and filters you would expect to find in similar commercial offerings,
and some interesting extras as well.

The GIMP provides a large image manipulation toolbox, including channel
operations and layers, effects, sub-pixel imaging and anti-aliasing,
and conversions, all with multi-level undo.

This version of The GIMP includes a scripting facility, but many of the
included scripts rely on fonts that we cannot distribute.  The GIMP ftp
site has a package of fonts that you can install by yourself, which
includes all the fonts needed to run the included scripts.  Some of the
fonts have unusual licensing requirements; all the licenses are documented
in the package.  Get ftp://ftp.gimp.org/pub/gimp/fonts/freefonts-0.10.tar.gz
and ftp://ftp.gimp.org/pub/gimp/fonts/sharefonts-0.10.tar.gz if you are so
inclined.  Alternatively, choose fonts which exist on your system before
running the scripts.

Install the GIMP if you need a powerful image manipulation
program. You may also want to install other GIMP packages:
gimp-libgimp if you're going to use any GIMP plug-ins and
gimp-data-extras, which includes various extra files for the GIMP.

%description -l cs
GIMP (GNU Image Manipulation Program) je vkonn program pro malovn
a editaci obrzk. Me bt pouit pro vytven logotyp a jin grafiky
pro webov strnky. GIMP obsahuje mnoho nstroj a filtr, kter jsou
znm z podobnch komernch program, i nkter zajmav funkce navc.
GIMP disponuje velkou sadou nstroj pro manipulaci s obrzky vetn
kanlovch operac a vrstev, efekt, sub-pixel imagingu a antialiasingu,
konverz, ve s mnoharovovou funkc zpt.

GIMP obsahuje skriptovac jazyk, ale mnoho skript vyaduje fonty, kter
nelze voln distribuovat. Na ftp serveru GIMPu najdete balek psem,
kter si mete sami nainstalovat a kter obsahuje vechna psma
potebn pro sputn tchto skript. Nkter fonty maj neobvykl
licenn poadavky; vechny licence jsou piloeny. Pokud chcete,
sthnte si: ftp://ftp.gimp.org/pub/gimp/fonts/freefonts-0.10.tar.gz a
ftp://ftp.gimp.org/pub/gimp/fonts/sharefonts-0.10.tar.gz. Nebo ped
sputnm skript zvolte psma, kter mte na svm potai.

Nainstalujte GIMP, jestlie potebujete vkonn program pro manipulaci
s obrzky. Mete tak nainstalovat dal balky: gimp-libgimp
obsahujc zsuvn moduly pro GIMP a gimp-data-extras s mnoha doplky
pro GIMP.

%package devel
Group: Development/Libraries
Group(cs): Vvojov prostedky/Knihovny
Summary: GIMP plugin and extension development kit.
Summary(cs): Vvojov kit pro zsuvn moduly a rozen programu GIMP
Requires: gtk+-devel
Prereq: /sbin/install-info

%description devel
Static libraries and header files for writing GIMP plugins and extensions.
The gimp-devel package contains the static libraries and header files
for writing GNU Image Manipulation Program (GIMP) plug-ins and extensions.

Install gimp-devel if you're going to create plug-ins and/or
extensions for the GIMP.  You'll also need to install gimp-limpgimp
and gimp, and you may want to install gimp-data-extras.

%description -l cs devel
Balek gimp-devel obsahuje statick knihovny a hlavikov soubory pro
vytven zsuvnch modul pro GIMP (GNU Image Manipulation Program).

Nainstalujte gimp-devel, jestlie chcete vytvet zsuvn moduly a
rozen pro GIMP. Budete muset tak nainstalovat balky gimp a
gimp-limpgimp, a mete nainstalovat gimp-data-extras.

%package libgimp
Group: System Environment/Libraries
Group(cs): Systmov prosted/Knihovny
Summary: GIMP libraries
Summary(cs): Knihovny pro program Gimp (GNU Image Manipulation Program)
Copyright: LGPL

%description libgimp
The gimp-libgimp package contains libraries which are used to
communicate between the GIMP (GNU Image Manipulation Program) and
other programs which function as GIMP plug-ins.

If you are going to develop or use plug-ins for the GIMP, you'll need
to install the gimp-libgimp package.  You'll also need to install the
gimp and gimp-devel.  If you plan on using the GIMP, you'll probably
also want to install gimp-data-extras, which is not required but
contains a lot of extras which will be useful to GIMP users.

%description -l cs libgimp
Balek gimp-libgimp obsahuje knihovny, kter se pouvaj pro
komunikaci mezi programem GIMP (GNU Image Manipulation Program)
a dalmi programy, kter funguj jako zsuvn moduly pro GIMP.

Jestlie budete vyvjet nebo pouvat zsuvn moduly pro GIMP,
muste nainstalovat balek gimp-libgimp. Muste nainstalovat
balek gimp, a pro vvoj zsuvnch modul i gimp-devel. Jestlie
plnujete pouvat GIMP, budete pravdpodobn chtt nainstalovat
tak balek gimp-data-extras, kter nen nezbytn, ale obsahuje
velk mnostv uitench doplk pro GIMP.

%prep
%setup -q -a 1 -b 4

%build
[ -z $LINGUAS ] || unset LINGUAS
%ifarch alpha
MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif

if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --quiet $MYARCH_FLAGS --prefix=/usr
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --quiet $MYARCH_FLAGS --prefix=/usr
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

# refresh czech PO files (for our users to be happy)
( cd po-plug-ins ; make update-po )
( cd plug-ins/perl/po ; make update-po )

%install
[ -z $LINGUAS ] || unset LINGUAS
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/info $RPM_BUILD_ROOT/usr/include \
         $RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT/usr/bin \
         $RPM_BUILD_ROOT/etc/X11/wmconfig \
         $RPM_BUILD_ROOT/etc/X11/applnk/Graphics \
         $RPM_BUILD_ROOT/usr/share/icons/mini \
         $RPM_BUILD_ROOT/usr/share/pixmaps

make prefix=$RPM_BUILD_ROOT/usr PREFIX=$RPM_BUILD_ROOT/usr install-strip

# Strip the executables
strip $RPM_BUILD_ROOT/usr/bin/gimp

install RPM/gimp.wmconfig   $RPM_BUILD_ROOT/etc/X11/wmconfig/gimp
install RPM/wilbur.xpm      $RPM_BUILD_ROOT/usr/share/icons
install RPM/mini-wilbur.xpm $RPM_BUILD_ROOT/usr/share/icons/mini
install %{S:2} $RPM_BUILD_ROOT/usr/share/pixmaps/gnome-gimp.png
install %{S:3} $RPM_BUILD_ROOT/etc/X11/applnk/Graphics/gimp.desktop

# Compress down the online documentation.
if [ -d $RPM_BUILD_ROOT/usr/man ]; then
  find $RPM_BUILD_ROOT/usr/man -type f -exec gzip -9nf {} \;
fi

# we will generate file lists
#
# Auto detect the lang files.
# this sh*t not work properly
#if [ -f /usr/lib/rpm/find-lang.sh ] ; then
#  /usr/lib/rpm/find-lang.sh $RPM_BUILD_ROOT %name
#  sort -u %{name}.lang > ../%{name}-files.main
#  rm -f %{name}.lang
#fi
( echo '%defattr(644,root,root,755)'
  echo '%{prefix}/share/locale'
  # first all files under dir in /usr/share but without gimp and locale
  cd $RPM_BUILD_ROOT%{prefix}/share
  ls | grep -v 'gimp\|locale\|aclocal' | sed 's,^,\%dir %{prefix}/share/,'
  # all directories under /usr/share/gimp
  find gimp -type d | sed 's,^,\%dir %{prefix}/share/,'
  # and now files... first non executables (all execept locale and aclocal dirs)
  find `ls | grep -v 'locale\|aclocal'` -type f | \
    grep -v 'gimp/1.1/user_install' | \
    sed 's,^,%{prefix}/share/,'
  # ...and executables under /usr/share
  echo '%attr(755,root,root) %{prefix}/share/gimp/1.1/user_install'
  # now executables from /usr/bin without gimptool (and gimp-config link)
  cd $RPM_BUILD_ROOT%{prefix}/bin
  ls | grep -v 'gimptool\|gimp-config' | \
    sed 's@^@\%attr(755,root,root) %{prefix}/bin/@'
  # ...and man pages without gimptool too
  cd $RPM_BUILD_ROOT%{prefix}/man
  ls man*/* | grep -v 'gimptool' | sed 's,^,%{prefix}/man/,'
  # at last files from /etc
  cd $RPM_BUILD_ROOT/etc
  find . -type f | sed 's,^\./,/etc/,'
) > ../%{name}-files.main

%clean
# temporarily commented out for debugging purposes
#[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
#rm ../%{name}-files.main

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f ../%{name}-files.main
%defattr(0644,root,root,755)
%doc AUTHORS COPYING ChangeLog MAINTAINERS NEWS README
%doc docs/*.txt docs/*.eps ABOUT-NLS README.i18n README.perl README.win32 TODO

%files devel
%defattr (0644,root,root,0755) 
%dir %{prefix}/include/*
%{prefix}/share/aclocal
%{prefix}/lib/lib*a
%{prefix}/lib/gimp/%{subver}/modules/lib*a
%{prefix}/man/man*/gimptool*
%{prefix}/bin/gimp-config
%attr (0755,root,root) %{prefix}/bin/gimptool

%defattr (0644,root,root,0755) 
%{prefix}/include/*/*.h

%files libgimp
%defattr(755,root,root,755)
%{prefix}/lib/lib*.so
%{prefix}/lib/lib*.so.*
%dir %{prefix}/lib/gimp
%dir %{prefix}/lib/gimp/%{subver}
%{prefix}/lib/gimp/%{subver}/modules/lib*so
%{prefix}/lib/gimp/%{subver}/plug-ins
%defattr(644,root,root,755)
%{prefix}/lib/perl5/man
%{prefix}/lib/perl5/site_perl

%changelog
* Sun Apr 14 2000 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- switched to SPEC from gimp package
- many bugs fixed

* Sun Apr  9 2000 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- updated to 1.1.19
- changes to follow Red Hat 6.2 (gimp, gimp-devel, gimp-libgimp)
- RH's descriptions added to this spec file (Czech translations too)
- man pages added to package
- czech PO files updated

* Wed Jan 19 2000 Gregory McLean <gregm@comstar.net>
- Version 1.1.15

* Wed Dec 22 1999 Gregory McLean <gregm@comstar.net>
- Version 1.1.14
- Added some auto %files section generation scriptlets


